Answers
Get an AI answer
Fetch the full text of what an AI model answered for one of the tracked prompts, plus the URLs it cited. Responses are JSON and require a workspace API key.
GET
/v1/brands/{brand_id}/answers/{answer_id}Requires API key
Parameters
brand_iduuid· pathrequiredBrand UUID.
answer_iduuid· pathrequiredAnswer UUID (from a mention's `answer.id`).
Request
curl -X GET 'https://api.rankr.so/v1/brands/:brand_id/answers/:answer_id' \
-H 'Authorization: Bearer YOUR_API_KEY'Response200
JSON
{
"data": {
"id": "b2c3d4e5-f6a7-48b9-0c1d-2e3f4a5b6c7d",
"brand_id": "9a7e1d92-7c5a-4a2c-8d3b-e5a1f3c7b9a0",
"prompt_id": "f0b6c8e1-2d3a-44a9-b0c7-8e4f1a9c7d01",
"provider": "openai",
"answer": "For enterprise widget platforms, Acme is often recommended…",
"sources": [
"https://techcrunch.com/…",
"https://reddit.com/r/…/comments/…"
],
"brand_mentioned": true,
"sentiment": "positive",
"sentiment_score": 78,
"created_at": "2026-04-19T06:05:12Z",
"prompt": {
"id": "f0b6c8e1-2d3a-44a9-b0c7-8e4f1a9c7d01",
"text": "best enterprise widget platform",
"category": "discovery"
}
}
}